ExchangeStorageGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeStorageGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeStorageGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeStorageGroup

extends LogicalElement

Represents the Exchange Storage Group

Naming Rules:
  0="distinguishedName"
Persistable:
  true
Table Name:
  EXCHSTGGRP
Display Name:
  storageGroupName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDistinguishedName()` The distinguished name of the storage group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Mailbox.StorageGroupName Example CN=First Storage Group,CN=InformationStore,CN=TV045077,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local
`ExchangeMailboxStore[]` | `getMailboxStores()`
`ExchangePublicFolderStore[]` | `getPublicFolderStores()`
`ExchangeServer` | `getServer()`
`java.lang.String` | `getStorageGroupName()` The name of the storage group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Mailbox.StorageGroupName Example First Storage Group
`boolean` | `hasDistinguishedName()`
`boolean` | `hasMailboxStores()`
`boolean` | `hasPublicFolderStores()`
`boolean` | `hasServer()`
`boolean` | `hasStorageGroupName()`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setMailboxStores(ExchangeMailboxStore[] x)`
`void` | `setPublicFolderStores(ExchangePublicFolderStore[] x)`
`void` | `setServer(ExchangeServer x)`
`void` | `setStorageGroupName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  The distinguished name of the storage group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Mailbox.StorageGroupName Example CN=First Storage Group,CN=InformationStore,CN=TV045077,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

### getPublicFolderStores

    ExchangePublicFolderStore[] getPublicFolderStores()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setPublicFolderStores

    void setPublicFolderStores(ExchangePublicFolderStore[] x)

### hasPublicFolderStores

    boolean hasPublicFolderStores()

### getServer

    ExchangeServer getServer()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setServer

    void setServer(ExchangeServer x)

### hasServer

    boolean hasServer()

### getStorageGroupName

    java.lang.String getStorageGroupName()
                                         throws AttributeNotSetException

  The name of the storage group Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Mailbox.StorageGroupName Example First Storage Group

  Throws:
    `AttributeNotSetException`

### setStorageGroupName

    void setStorageGroupName(java.lang.String x)

### hasStorageGroupName

    boolean hasStorageGroupName()

### getMailboxStores

    ExchangeMailboxStore[] getMailboxStores()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setMailboxStores

    void setMailboxStores(ExchangeMailboxStore[] x)

### hasMailboxStores

    boolean hasMailboxStores()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD